// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({
  /**
   * 页面的初始数据
   */
  data: {
    src: '/image/home.png',
    frameStyle: { useTop: false, name: '首页', leftArrow: false, useBar: true, tabSelectid: '0' },
    // 主体高度
    infoHeight: '',
    list: [],
  },
   // 查询数据
   search: function () {
    var that = this;
    wx.request({
      url: `${app.globalData.publicUrl}/courtAdmin/api/match`, //接口地址
      method: 'get',
      data: {},
      success(res) {
        console.log('res', res.data);
        if (res.data.errcode == 0) {
          let datas = res.data.data
          for (let i = 0; i < datas.length; i++) {
            if (datas[i].status == 0) {
              datas[i].status = '待比赛'
            } else if (datas[i].status == 1) {
              datas[i].status = '进行中'
            } else if (datas[i].status == 2) {
              datas[i].status = '报名中'
            } else if (datas[i].status == 3) {
              datas[i].status = '已结束'
            }
          }
          that.setData({
            //getSales:temp,
            list: datas,
          });
        } else {
          wx.showToast({
            title: res.data.errmsg,
            icon: 'none',
            duration: 2000
          })
        }
      }
    })
  },
  tiao: function (e) {
    let id= e.currentTarget.dataset.name;
    console.log(id);
    wx.navigateTo({
      url: '/pages/list/index?id='+id,
    })
  },
  xun: function () {
    wx.navigateTo({
      url: '/pages/match/detail',
    })
  },
  tabPath(e) {
    let query = e.detail.detail;
    if (query) wx.redirectTo({ url: `/pages/${query}/index` })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 监听用户是否登录
    this.watchLogin();
    // 计算高度
    this.searchHeight();
    // 查询数据
    this.search();
  },
  // 监听用户是否登录
  watchLogin: function () {
    wx.getStorage({
      key: 'token',
      success: res => {
        console.log(res);
      },
      fail: res => {
       return wx.redirectTo({ url: '/pages/login/index', })
      }
    })
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    let infoHeight = client.windowHeight;
    // 减去状态栏
    if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2)
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})